//
//  ViewController.m
//  SemiModalSample
//
//  Created by 中澤 剛 on 12/11/28.
//  Copyright (c) 2012年 Go Nakazawa. All rights reserved.
//

#import "ViewController.h"
#import "SemiModalView.h"

@interface ViewController (){
    SemiModalView *topView, *bottomView, *leftView, *rightView;
}

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    [self initSemiModalView];
    
    SEL selector = @selector(buttonPushed:);
    UIToolbar *bottomToolBar = [[UIToolbar alloc] initWithFrame:CGRectMake(0, 420, 320, 44)];
    bottomToolBar.tintColor = [UIColor grayColor];
    bottomToolBar.translucent = NO;
    
    UIBarButtonItem *topButton = [[[UIBarButtonItem alloc] initWithTitle:@"TOP" style:UIBarButtonItemStylePlain target:self action:selector]autorelease];
    UIBarButtonItem *buttomButton = [[[UIBarButtonItem alloc] initWithTitle:@"BOTTOM" style:UIBarButtonItemStylePlain target:self action:selector]autorelease];
    UIBarButtonItem *leftButton = [[[UIBarButtonItem alloc] initWithTitle:@"LEFT" style:UIBarButtonItemStylePlain target:self action:selector]autorelease];
    UIBarButtonItem *rightButton = [[[UIBarButtonItem alloc] initWithTitle:@"RIGHT" style:UIBarButtonItemStylePlain target:self action:selector]autorelease];
    topButton.tag = 0;
    buttomButton.tag = 1;
    leftButton.tag = 2;
    rightButton.tag = 3;
    
    NSArray *items = [NSArray arrayWithObjects:topButton, buttomButton, leftButton, rightButton, nil];
    [bottomToolBar setItems:items];
    [self.view addSubview:bottomToolBar];
    
}

- (void)initSemiModalView
{
    NSMutableArray *items = [[[NSMutableArray alloc]init] autorelease];
    for (int i = 0; i < 10; i++) {
        NSString *imageName = [NSString stringWithFormat:@"dummy%02d.png",i];
        [items addObject:[UIImage imageNamed:imageName]];
    }
    SEL selector = @selector(buttonOnSemiModalPushed:);
    
    topView = [[SemiModalView alloc] initWithFrame:CGRectMake(0, 0, 320, 80) usage:SemiModalViewUsageHorizontalOnTop items:items selector:selector];
    bottomView = [[SemiModalView alloc] initWithFrame:CGRectMake(0, 316, 320, 120) usage:SemiModalViewUsageHorizontalOnBottom items:items selector:selector];
    leftView = [[SemiModalView alloc] initWithFrame:CGRectMake(0, 0, 80, 300) usage:SemiModalViewUsageVerticalOnLeft items:items selector:selector];
    rightView = [[SemiModalView alloc] initWithFrame:CGRectMake(240, 0, 80, 300) usage:SemiModalViewUsageVerticalOnRight items:items selector:selector];
    [self.view addSubview:topView];
    [self.view addSubview:bottomView];
    [self.view addSubview:leftView];
    [self.view addSubview:rightView];
}

- (void)buttonPushed:(UIBarButtonItem *)sender
{
    if (sender.tag == 0) {
        [topView changeVisibility];
    }else if (sender.tag == 1){
        [bottomView changeVisibility];
    }else if (sender.tag == 2){
        [leftView changeVisibility];
    }else if (sender.tag == 3){
        [rightView changeVisibility];
    }
}

- (void)buttonOnSemiModalPushed:(UIButton *)sender
{
    NSLog(@"%d", sender.tag);
}

- (void)viewWillDisappear:(BOOL)animated
{
    [rightView release];
    [super viewWillDisappear:animated];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
